Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227676 (scorchwentbonkers) - Review Request: scorchwentbonkers - Realtime remake of Scorched Earth
Summary: Review Request: scorchwentbonkers - Realtime remake of Scorched Earth
Keywords:
Status: CLOSED NEXTRELEASE
Alias: scorchwentbonkers
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Stone
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: jpgalleg
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-07 15:13 UTC by Hans de Goede
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-15 12:00:56 UTC
chris.stone: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2007-02-07 15:13:29 UTC
Spec URL: http://people.atrpms.net/~hdegoede/scorchwentbonkers.spec
SRPM URL: http://people.atrpms.net/~hdegoede/scorchwentbonkers-1.1-1.fc7.src.rpm
Description:
As the name suggests, Scorch Went Bonkers is a remake of the old PC classic.
However, many things were changed and the type of fun delivered by the game is 
different. Where Scorched Earth puts emphasis on tactics and careful
calculations, SWB requires quick thinking, perfect timing and only one finger
for controlling your tank. The game is real-time instead of turn based.

Comment 1 Hans de Goede 2007-02-07 15:16:35 UTC
Notice that this needs the still to be reviewed jpgalleg lib, whose review is
bug 227198

Comment 2 Christopher Stone 2007-03-12 21:35:15 UTC
Indeed, don't forget to add:

BuildRequries: jpgalleg-devel

Comment 3 Christopher Stone 2007-03-12 21:43:56 UTC
Fails to link, appears you will also need to add:

BuildRequires: libGLU-devel

Comment 4 Christopher Stone 2007-03-12 22:09:39 UTC
Like the music, but when I go into battle mode and select one player as the
computer the game crashes.

$ swb
Shutting down Allegro due to signal #11
Segmentation fault


Comment 5 Christopher Stone 2007-03-12 22:28:14 UTC
When shooting off edge of screen, bullets do not appear in correct position on
opposite side of screen (that is, the bullets should re-appear at the opposite
edge of the screen, not in the middle of the screen).

Comment 6 Christopher Stone 2007-03-12 23:17:41 UTC
Hmm, ignore comment #5 as I cannot reproduce this now.  It appears the bullets
bounce off the edges, but I could have sworn it appeared differently before.  Oh
well, I could have just looked at it incorrectly.

Comment 7 Hans de Goede 2007-03-13 13:13:27 UTC
(In reply to comment #4)
> Like the music, but when I go into battle mode and select one player as the
> computer the game crashes.
> 
> $ swb
> Shutting down Allegro due to signal #11
> Segmentation fault
> 
Nasty FP divide by zero leading to NAN leading to other funnies only happening
on x86_64 bug -> fixed. I also added the report missing BR's, new version here:
Spec URL: http://people.atrpms.net/~hdegoede/scorchwentbonkers.spec
SRPM URL: http://people.atrpms.net/~hdegoede/scorchwentbonkers-1.1-2.fc7.src.rpm


Comment 8 Christopher Stone 2007-03-15 00:51:45 UTC
==== REVIEW CHECKLIST ====
- rpmlint output clean
- package named according to package naming guideliens
- spec file name matches %{name}
- package meets packaging guidelines
- licensed with open source compatible license
- license matches actual license
- license included in %doc
- spec written in American english
- spec file legible
- sources match upstream dfaf1a509d2776edf983cd5e1540df95
- package successfully compiles and builds on FC-6 x86_64
- all build dependencies listed in BR
- no locales
- no shared libraries
- package is not relocatable
- package owns all directories it creates
- all directories it does not create are owned pulled in from Requires
- no duplicates in %files
- file permissions set properly
- package contains proper %clean
- macro usage is consistent
- contains code
- no large documentation
- files in %doc do not affect runtime
- no header files
- no static libraries
- no pkgconfig files
- no need for devel subpackage
- no libtool archives
- contains proper desktop file
- package does not own files or directories owned by other packages

*** APPROVED ***


Comment 9 Hans de Goede 2007-03-15 07:57:15 UTC
New Package CVS Request
=======================
Package Name:      scorchwentbonkers
Short Description: Realtime remake of Scorched Earth
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 devel 
InitialCC:         <empty>


Comment 10 Jens Petersen 2007-03-15 08:05:30 UTC
done

Comment 11 Hans de Goede 2007-03-15 12:00:56 UTC
Thanks for the review!

Imported and build, closing.



Note You need to log in before you can comment on or make changes to this bug.